Youjoomla Support Forums (http://www.youjoomla.com/joomla_support/index.php)
-   Announcements (http://www.youjoomla.com/joomla_support/forumdisplay.php?f=16)
-   -   Joomla 2.5.1 get_called_class() fix (http://www.youjoomla.com/joomla_support/showthread.php?t=9491)

neo 12-24-2011 03:47 PM

Joomla 2.5.1 get_called_class() fix
 
1 Attachment(s)
Dear members we a very proud to announce that our templates and extensions run smoothly on joomla 2.5.1 beta.

We are still in testing phase for all possible server versions and 1 issue that is an actual joomla 2.5 requirement could give you some headache. PHP 5.3.

There is new php class introduced in php 5.3 version called
Code:

get_called_class()
Everyone who is not able to upgrade their php version from PHP 5.2.x to PHP 5.3.x will have trouble with default Joomla 2.5.x and up.

You will see an error saying
Code:

Fatal error: Call to undefined function get_called_class() in your_joomla/libraries/joomla/form/field.php on line 203
or something similar

Do not be alarmed , if you are using our templates or our extensions this error might be visible only in admin backend when you try to go in extensions/template settings , quick fix for this is available. Please download the file attached , extract the zip and add file name yjsgclassfix.php in :


template-or-extensions/elements folder
.

example: Yougrids template

your_joomla/templates/yougrids/elements/

example: YJME module engine

your_joomla/modules/mod_yjme/elements

Now go to that elements folder and open any custom elements you see there.

Which are usually solo php files and are in elements folder not in elements/sub_folder if one is available.


example: Yougrids template

your_joomla/templates/yougrids/elements/yjsglist.php


example: YJME module engine

your_joomla/modules/mod_yjme/elements/yjmelist.php


Right after

Code:

defined('JPATH_BASE') or die();
add

Code:

include_once('yjsgclassfix.php');
all set.

ravenslade 12-31-2011 05:10 PM

OK,

I have gone into /httpdocs/templates/yougrids/elements/ and added the downloaded file.

Then i have gone to /httpdocs/templates/yougrids/elements/ and edited httpdocs/templates/yougrids/elements/yjsglist.php and added the include_once('yjsgclassfix.php');

This is for YouGrids, is that it, as it is still the same problem.

ravenslade 01-06-2012 05:19 PM

I have still not got the menu working. Are the YouGrids templates updated for this error? Can the YouGrids package be downloaded and uploaded via FTP to fix the error on different template pages?

neo 01-06-2012 06:50 PM

where exactly is the error , show screen please

ravenslade 01-06-2012 07:43 PM

1 Attachment(s)
I did everything as described but still not working and shows up as shown here.

neo 01-07-2012 06:21 AM

do same for elements in YJ mega menu plugin elements folder

ravenslade 01-07-2012 07:10 PM

That fixed the problem. Many thanks. :)

mcazenave 01-15-2012 11:44 AM

Added include_once('yjsgclassfix.php'); to each file present il elements directory work fine in 2.5 beta 2.

Even works with template additions and customisation as i tried before and succeeded with Youjoomla help on 1.7.2 : http://www.youjoomla.com/joomla_supp...wont-work.html

Thank you.

neo 01-20-2012 12:06 AM

1 Attachment(s)
after further digging here is the full fix for the above problem , there is no need to add the function , just download the set of 2.5 template compatible elements and extract it in

templates/template_name/elements folder overriding the existing ones

for YJ Mega Menu Plugin 1.6 and UP just download the plugin
http://www.youjoomla.com/free-joomla...plugin-16.html

and reinstall


All times are GMT -4. The time now is 05:42 PM.

Powered by vBulletin®
Copyright ©2000 - 2017, Jelsoft Enterprises Ltd.